aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJ0WI <J0WI@users.noreply.github.com>2020-08-01 19:26:08 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2020-09-21 17:39:23 +0000
commitd3fe7e8a159bccd2b5bf8184862414084a6fbe28 (patch)
tree8430e30cee5f0ab56d09433d7de2feb7f4df7229
parentaa6d39facdd92cd10355d650e5f02e3bbf53a3f5 (diff)
downloadaports-d3fe7e8a159bccd2b5bf8184862414084a6fbe28.tar.gz
aports-d3fe7e8a159bccd2b5bf8184862414084a6fbe28.tar.bz2
aports-d3fe7e8a159bccd2b5bf8184862414084a6fbe28.tar.xz
main/perl-html-mason-psgihandler: rebuild against Perl 5.32.0
-rw-r--r--main/perl-html-mason-psgihandler/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/main/perl-html-mason-psgihandler/APKBUILD b/main/perl-html-mason-psgihandler/APKBUILD
new file mode 100644
index 0000000000..45b07599a6
--- /dev/null
+++ b/main/perl-html-mason-psgihandler/APKBUILD
@@ -0,0 +1,39 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=perl-html-mason-psgihandler
+_pkgreal=HTML-Mason-PSGIHandler
+pkgver=0.53
+pkgrel=3
+pkgdesc="PSGI handler for HTML::Mason"
+url="https://metacpan.org/release/HTML-Mason-PSGIHandler/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-cgi-psgi perl-html-mason"
+cpanmakedepends=" perl-plack "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="https://cpan.metacpan.org/authors/id/R/RU/RUZ/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+sha512sums="d8fe27ff0b25e41b7e64e83c277d323f5207b66e7630e3f688d586c375c63b1837935934a67e630c54fe8219e7b44fe084875e1530d36044fac85884ea62da40 HTML-Mason-PSGIHandler-0.53.tar.gz"